Loading...
Searching...
No Matches
casacore::TaQLMultiNode Class Reference
tables package (libcasa_tables) » TaQL_module » TaQL_module_internal_classes

Envelope class for a node containing a list of nodes. More...

`#include <TaQLNode.h>`

## Public Member Functions

| TaQLMultiNode ()
| TaQLMultiNode (Bool isSetOrArray)
| TaQLMultiNode (TaQLMultiNodeRep *rep)
void | add (const TaQLNode &node)
void | add (TaQLNodeRep *noderep)
void | setIsSetOrArray ()
void | setPPFix (const String &prefix, const String &postfix)
void | setSeparator (const String &sep)
void | setSeparator (uInt incr, const String &sep)
const TaQLMultiNodeRep * | getMultiRep () const
Public Member Functions inherited from casacore::TaQLNode
| TaQLNode ()
| Default constructor.
| TaQLNode (TaQLNodeRep *rep)
| Construct for given letter.
| TaQLNode (const TaQLNode &that)
| Copy constructor (reference semantics).
TaQLNode & | operator= (const TaQLNode &that)
| Assignment (reference semantics).
const TaQLStyle & | style () const
| Get the TaQL style.
virtual | ~TaQLNode () noexcept=default
Bool | isValid () const
| Does the envelope contain a letter?
char | nodeType () const
| Return the type of letter.
const TaQLNodeRep * | getRep () const
| Get read access to the letter.
TaQLNodeResult | visit (TaQLNodeVisitor &visitor) const
| Let the visitor visit the node.
void | show (std::ostream &os) const
| Print the node (recursively) in the given stream.
void | save (AipsIO &aio) const
| Save and restore the entire parse tree.
void | saveNode (AipsIO &aio) const
| Helper functions for save/restore of tree.

## Private Attributes

TaQLMultiNodeRep * | itsNRep

## Additional Inherited Members

Static Public Member Functions inherited from casacore::TaQLNode
static TaQLNode | parse (const String &command)
| Parse a TaQL command and return the result.
static TaQLNode | restore (AipsIO &aio)
static TaQLNode | restoreNode (AipsIO &aio)
static TaQLMultiNode | restoreMultiNode (AipsIO &aio)
Static Public Attributes inherited from casacore::TaQLNode
static TaQLNode | theirNode
| The object getting the final tree.
static std::vector< TaQLNode * > | theirNodesCreated
| A list of objects created by the parser and deleted at the end.
static TaQLStyle | theirStyle
| Keep the TaQL style to use.
static std::mutex | theirMutex
| Use a mutex to guard the statics.
Protected Attributes inherited from casacore::TaQLNode
std::shared_ptr< TaQLNodeRep > | itsRep

## Detailed Description

Envelope class for a node containing a list of nodes.

### Intended use:

Internal

### Review Status

Test programs:
  tTaQLNode

### Synopsis

This is a specialization of the envelope class TaQLNode for a node containing a list of nodes.

Definition at line 224 of file TaQLNode.h.

## Constructor & Destructor Documentation

## TaQLMultiNode() [1/3]

casacore::TaQLMultiNode::TaQLMultiNode | ( |  | ) |

## TaQLMultiNode() [2/3]

casacore::TaQLMultiNode::TaQLMultiNode | ( | Bool | isSetOrArray | ) |

explicit

## TaQLMultiNode() [3/3]

casacore::TaQLMultiNode::TaQLMultiNode | ( | TaQLMultiNodeRep * | rep | ) |

## Member Function Documentation

## add() [1/2]

void casacore::TaQLMultiNode::add | ( | const TaQLNode & | node | ) |

References casacore::TaQLNode::TaQLNode().

## add() [2/2]

void casacore::TaQLMultiNode::add | ( | TaQLNodeRep * | noderep | ) |

## getMultiRep()

const TaQLMultiNodeRep * casacore::TaQLMultiNode::getMultiRep | ( |  | ) | const

inline

Definition at line 236 of file TaQLNode.h.

References itsNRep.

## setIsSetOrArray()

void casacore::TaQLMultiNode::setIsSetOrArray | ( |  | ) |

## setPPFix()

void casacore::TaQLMultiNode::setPPFix | ( | const String & | prefix,
|  | const String & | postfix )

## setSeparator() [1/2]

void casacore::TaQLMultiNode::setSeparator | ( | const String & | sep | ) |

## setSeparator() [2/2]

void casacore::TaQLMultiNode::setSeparator | ( | uInt | incr,
|  | const String & | sep )

## Member Data Documentation

## itsNRep

TaQLMultiNodeRep* casacore::TaQLMultiNode::itsNRep

private

Definition at line 239 of file TaQLNode.h.

Referenced by getMultiRep().

The documentation for this class was generated from the following file:

- tables/TaQL/TaQLNode.h